import type { Skeleton } from "@babylonjs/core/Bones/skeleton";
/**
 * Order Independent Compute Transform Matrices Injector
 *
 * Inject order independent _computeTransformMatrices function into the skeleton
 */
export declare class OiComputeTransformInjector {
    /**
     * Override _computeTransformMatrices function
     *
     * Inject the code so that target skeleton support order independent _computeTransformMatrices
     *
     * if skeleton has looped bone structure, do not use this method
     *
     * @param skeleton Skeleton to override
     */
    static OverrideComputeTransformMatrices(skeleton: Skeleton): void;
}
