import { Quaternion, Vector3 } from "@babylonjs/core/Maths/math.vector";
/**
 * Ik chain information for solving IK
 */
export declare class IkChainInfo {
    /**
     * Local rotation of the bone for solving IK
     */
    readonly localRotation: Quaternion;
    /**
     * Local position of the bone for solving IK
     */
    readonly localPosition: Vector3;
    /**
     * The rotation offset value to be moved by the IK solver
     */
    readonly ikRotation: Quaternion;
    /**
     * Creates IK chain information
     */
    constructor();
}
